## getfem 5.4.1+dfsg1

=== debian/changelog ===
getfem (5.4.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * Remove unnecessary build dependencies.
  * Cleanup and fix gencontrol warnings.
  * Rename package from getfem++ to getfem.
  * New upstream release.
    - applies 04_fix_FTBFS.patch
    - overrides 06_gcc-6.patch
    - applies drop_python2.patch
    - overrides fix_blas_interface.patch
    - applies fix_python3_tests_4fe9963c.patch
    - overrides fix_python3_tests_8dcd729f.patch
    - overrides numpy1.14.patch

  [ Drew Parsons ]
  * drop src/getfem_boost from debian/copyright (no longer in source)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Jul 2022 14:17:06 +0200

getfem++ (5.3+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix up the maintainer field.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 21:08:03 +0200

getfem++ (5.3+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Graham Inggs ]
  * Check success of distutils import by return code rather
    than by stderr to avoid FTBFS with Python 3.10 (Closes: #1008689)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 20:02:23 +0200

getfem++ (5.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * mark as Build-Depends: python3-dev not python3-all-dev.
    Build system uses automake which makes it difficult to manage
    multiple python versions. Closes: #948018.
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13
  * list usr/lib/python*/*-packages/getfem/*.py in debian/not-installed
    to work around Bug#1001914 in dh_missing. These python files are
    processed by dh_python3 via debian/python3-getfem++.pyinstall.

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 21:13:11 +0100

getfem++ (5.3+dfsg1-3) unstable; urgency=medium

  * Remove redundant dependencies on muparser and several boost packages.
  * Fix blas and lapack interface. Closes: #943943.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 27 Dec 2019 13:51:29 +0000

getfem++ (5.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scripts_python3.patch sets bin/extract_doc and
    bin/split_cmdref to python3. Closes: #943943.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2019 23:50:04 +1100

getfem++ (5.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies 10_move_getfem_arch_config.patch
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop Python 2: replace python-getfem++ with python3-getfem++.
    Closes: #916893, #936603.
    - add debian patch drop_python2.patch to mop up remaining
      Python2isms.
    - fix_python3_tests_4fe9963c.patch adapts upstream commit 4fe9963c
    - fix_python3_tests_8dcd729f.patch adapts upstream commit 8dcd729f
    - patch getfem.py and __init__.py installed in getfem dir to
      import self via .
    - run debian/tests/python3 from interface/tests/python
  * use dh_missing to identify uninstalled files
  * mark usr/getfem_toolbox/meshes as non-installed
    (only used by interface/tests, which are not installed)
  * python3-getfem++.pyinstall installs the python shared library directly
    from interface/src/python (apparently a bug in upstream build
    scripts: they no longer  install the python .so file)
  * mark libgmm++-dev as Architecture: any to match libmumps-dev
    dependency. Aids cross-compiling. Closes: #940325.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Sep 2019 13:15:41 +0800

getfem++ (5.2+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Fix compatibility with NumPy 1.14, thanks Daniel Watkins (Closes: #899019)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update upstream Homepage
  * Drop ancient X-Python-Version: >= 2.5
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 May 2018 10:57:15 +0000

getfem++ (5.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [7f95df8] Use (= ${source:Version}) for the libgmm++-dev. (Closes: #887618)
  * [8197c7b] Bump Standards-Version: 4.1.3
  * [e5c6cd0] Switch to compat-level 11
  * [0d4f384] Remove myself from uploaders
  * [432ed30] Remove testsuite-field in the d/control

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Feb 2018 19:03:14 +0100

getfem++ (5.2+dfsg1-5) unstable; urgency=medium

  * [b7753e9] Install getfem_arch_config.h into gmm-folder. (Closes: #872670)
  * [94f31a4] Copy needed for compilation file in d/rules.
  * [58de27d] Add versioned depedndency on libgmm-dev.

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Aug 2017 14:27:42 +0200

getfem++ (5.2+dfsg1-4) unstable; urgency=medium

  * [942a518] Fix FTBFS caused by the previous upload

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 21:18:26 +0200

getfem++ (5.2+dfsg1-3) unstable; urgency=medium

  * [de659e0] Disable unreliable nonlinear_membrane test

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 20:12:41 +0200

getfem++ (5.2+dfsg1-2) unstable; urgency=medium

  * [69ba5ec] Disable failing on mips64el test static_contact_gears.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 20:45:52 +0200

getfem++ (5.2+dfsg1-1) unstable; urgency=medium

  * [f8488f5] Update d/watch
  * [1b52fd2] Refresh patches.
  * [9388eb9] New upstream version 5.2+dfsg1. (Closes: #853416, #848859)
  * [ff6bc15] Bumped Standards-Version: 4.0.0
  * [ed9c10d] Ignore quilt dir
  * [46e9a04] Update patches.
  * [d6b5094] Set compat level 10
  * [ba31161] Set the maximal hardening level.
  * [d2ed10a] Remove not needed depends.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 00:02:15 +0200

getfem++ (5.1+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [a461f19] Add missing depends on python-scipy for autopkgtests.
              (Closes: #836420)

  [ Anton Gladky ]
  * [e7274dc] Allow stderr output in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 18:48:59 +0100


