=== debian/control ===
Source: getfem
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
Section: libs
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               dh-python,
               libblas-dev,
               libmetis-dev,
               libmumps-seq-dev,
               libqhull-dev,
               libsuperlu-dev,
               libtool,
               python3-dev,
               python3-numpy,
               python3-scipy
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/getfem
Vcs-Git: https://salsa.debian.org/science-team/getfem.git
Homepage: http://getfem.org/

Package: libgetfem-dev
Architecture: any
Section: libdevel
Depends: libgetfem5 (= ${binary:Version}),
         libgmm-dev (= ${binary:Version}),
         libsuperlu-dev,
         ${misc:Depends}
Description: Development files for the GETFEM generic finite element library
 GETFEM is a library allowing the computation of any elementary matrix (even for
 mixed finite element methods) on the largest class of methods and elements, and
 for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM library.

Package: libgetfem5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GETFEM generic finite element library
 GETFEM is a library allowing the computation of any elementary matrix (even for
 mixed finite element methods) on the largest class of methods and elements, and
 for arbitrary dimension.

Package: libgmm-dev
Architecture: any
Section: libdevel
Depends: libmumps-dev,
         ${misc:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python3-getfem
Architecture: any
Section: python
XB-Python-Version: ${python3:Versions}
Depends: libgetfem5 (= ${binary:Version}),
         python3,
         python3-numpy,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python interface to the GETFEM generic finite element library
 GETFEM is a library allowing the computation of any elementary matrix (even for
 mixed finite element methods) on the largest class of methods and elements, and
 for arbitrary dimension.
 .
 This package contains the Python 3 interface to GETFEM.
 
Package: libgetfem++-dev
Depends: libgetfem-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libgetfem5++
Depends: libgetfem5, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libgmm++-dev
Depends: libgmm-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python3-getfem++
Depends: python3-getfem, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
