## getfem 5.4.2+dfsg1

=== debian/changelog ===
getfem (5.4.2+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * Reenable unit tests on s390x.
  * debian patch 01_fix_integral_type_portability_bug.patch fixes
    portability issue and failing package build for s390x. Closes: #1023788.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Dec 2022 12:53:47 +0100

getfem (5.4.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * temporarily skip tests on s390x. See Bug#1023788.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Nov 2022 15:49:53 +0100

getfem (5.4.2+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * New upstream release.
    - applies python3.10.patch
    - overrides scripts_python3.patch
  * Change libgmm-dev package architecture from "any" to "same"
  * Add Replaces/Breaks dependencies for old package names (Closes: #1016509)
  * Add build dependency on liblapack-dev, needed in unit-tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Nov 2022 16:52:09 +0100
