=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                automake,
                debhelper-compat (= 13),
                dh-python,
-               libblas-dev,
+               libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+               liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
                libmetis-dev,
                libmumps-seq-dev,
                libqhull-dev,
@@ -16,12 +17,14 @@
                python3-dev,
                python3-numpy,
                python3-scipy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/getfem
 Vcs-Git: https://salsa.debian.org/science-team/getfem.git
 Homepage: http://getfem.org/
 
 Package: libgetfem-dev
+Replaces: libgetfem++-dev (<< 5.4.1~)
+Breaks: libgetfem++-dev (<< 5.4.1~)
 Architecture: any
 Section: libdevel
 Depends: libgetfem5 (= ${binary:Version}),
@@ -37,6 +40,8 @@
  GETFEM library.
 
 Package: libgetfem5
+Replaces: libgetfem5++ (<< 5.4.1~)
+Breaks: libgetfem5++ (<< 5.4.1~)
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -48,7 +53,10 @@
  for arbitrary dimension.
 
 Package: libgmm-dev
+Replaces: libgmm++-dev (<< 5.4.1~)
+Breaks: libgmm++-dev (<< 5.4.1~)
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libmumps-dev,
          ${misc:Depends}
@@ -61,6 +69,8 @@
  are built-in, hence it can be used as a standalone linear algebra library.
 
 Package: python3-getfem
+Replaces: python3-getfem++ (<< 5.4.1~)
+Breaks: python3-getfem++ (<< 5.4.1~)
 Architecture: any
 Section: python
 XB-Python-Version: ${python3:Versions}
@@ -110,4 +120,3 @@
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
-
