=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

#=====================================================================

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

configure_flags= $(CROSS) --prefix=/usr \
		--enable-shared --with-pic \
		--enable-python3 --enable-metis \
		--disable-matlab --disable-superlu \
		--enable-mumps --disable-scilab \
		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  

#=====================================================================

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/./src/.libs/

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)
	cp $(CURDIR)/src/getfem/getfem_arch_config.h $(CURDIR)/src/gmm/

override_dh_install:
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*.pyo' -print0 | xargs -0 rm -f
	find . -name '*.la' -print0 | xargs -0 rm -f
	dh_install
	sed "s/from getfem import/from .getfem import/; s/from _getfem import/from ._getfem import/" -i debian/tmp/usr/lib/python*/*-packages/getfem/*.py
	dh_missing --list-missing
	dh_numpy3

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

#override_dh_auto_test:
#	dh_auto_test || true
