## getfem 5.4.4%2Bdfsg1

=== debian/changelog ===
getfem (5.4.4+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Also skip gmm_torture05_mult test, which failed on i386.
  * Also ignore failures in contrib/continuum_mechanics demo
    plasticity_fin_strain_lin_hardening_plane_strain.py which failed on arm64.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 13:45:28 +0000

getfem (5.4.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rename to 08_skip_failing_gmm_tests.patch the patch introduced in the
    previous upload, and also skip gmm_torture10_qr test, which currently fails
    on armel.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 10:16:09 +0000

getfem (5.4.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add 08_skip_gmm_torture20_iterative_solvers.patch to skip a test that
    currently fails while building on s390x. Closes: #1095229.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 06:24:24 +0000

getfem (5.4.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.4.4. Closes: #1094699.
  * Drop
    - 01_fix_integral_type_portability_bug.patch
    - 08_fix_scipy_issue.patch
    - 09_fix_twice_build_issue.patch
    - 10_fix_getfem_python_for_gcc14.patch
    which were intregrated upstream.
  * Refresh 07_disable_scilab.patch

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 03 Feb 2025 08:06:50 +0000

getfem (5.4.2+dfsg1-5.1) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080892)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 00:01:26 +0100

getfem (5.4.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Add 10_fix_getfem_python_for_gcc14.patch to fix FTBFS issue with GCC 14.
    The patch contains the diff for interface/src/python/getfem_python.c
    in several commits that have happened from the 5.4.2 release up to upstream
    commit b79b768052. Closes: #1077528.
  * Squash trailing whitespace in debian/changelog and debian/rules.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 12:39:58 +0000

getfem (5.4.2+dfsg1-4) unstable; urgency=medium

  * Team upload.

  * Ack previous NMU upload.
  * Add 08_fix_scipy_issue.patch to fix py3.12 build issue
    (Closes: #1073374)
  * Set std-ver to 4.7.0.
  * Drop whitespace of d/changelog, d/rules and d/control
  * Add Rules-Requires-Root: no to debian/control
  * Add metadata file to debian/upstream
  * Add override_dh_auto_clean and 09_fix_twice_build_issue.patch
    to fix twice build issue. (Closes: #1049792)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 25 Jun 2024 18:19:30 +0800

getfem (5.4.2+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062106

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:07:16 +0000
