=== debian/changelog ===
getfem (5.4.4+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * configure SuperLU (libsuperlu-dev) as the linear solver on
    architectures (hppa powerpc) where MUMPS is not available
  * Build-Depends: python3-numpy-dev to provide dh_numpy3
  * update debian/watch to v5 format
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Feb 2026 15:03:55 +0100

getfem (5.4.4+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * add gmm_torture01_lusolve to the test skip list in debian patch
    08_skip_failing_tests.patch. Fails on i386. Closes: #1103081
  * run dh_numpy3 after dh_python3
  * drop dh_missing from dh_install override
    (dh_missing is called automatically by dh)
  * debian/copyright: drop superlu, no longer included in source

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Apr 2025 12:51:00 +0200
