=== debian/control ===
--- 
+++ 
@@ -1,33 +1,36 @@
 Source: getfem
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: autoconf,
+Build-Depends: dpkg-dev (>= 1.22.5), autoconf,
                automake,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
                liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
                libmetis-dev,
-               libmumps-seq-dev,
+               libmumps-seq-dev [!hppa !powerpc],
+               libsuperlu-dev [hppa powerpc],
                libqhull-dev,
                libsuperlu-dev,
                libtool,
                python3-dev,
-               python3-numpy,
-               python3-scipy
-Standards-Version: 4.6.1
+               python3-numpy-dev,
+               python3-scipy,
+               python3-setuptools,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/getfem
 Vcs-Git: https://salsa.debian.org/science-team/getfem.git
 Homepage: http://getfem.org/
+Rules-Requires-Root: no
 
 Package: libgetfem-dev
 Replaces: libgetfem++-dev (<< 5.4.1~)
 Breaks: libgetfem++-dev (<< 5.4.1~)
 Architecture: any
 Section: libdevel
-Depends: libgetfem5 (= ${binary:Version}),
+Depends: libgetfem5t64 (= ${binary:Version}),
          libgmm-dev (= ${binary:Version}),
          libsuperlu-dev,
          ${misc:Depends}
@@ -39,9 +42,10 @@
  This package contains development files for building software that uses the
  GETFEM library.
 
-Package: libgetfem5
-Replaces: libgetfem5++ (<< 5.4.1~)
-Breaks: libgetfem5++ (<< 5.4.1~)
+Package: libgetfem5t64
+Provides: ${t64:Provides}
+Replaces: libgetfem5, libgetfem5++ (<< 5.4.1~)
+Breaks: libgetfem5 (<< ${source:Version}), libgetfem5++ (<< 5.4.1~)
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -58,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libmumps-dev,
+Depends: libmumps-dev [!hppa !powerpc], libsuperlu-dev [hppa powerpc],
          ${misc:Depends}
 Description: Generic C++ template library for sparse, dense and skyline matrices
  GMM is a framework of pre-defined methods for matrix computation. It is built
@@ -74,7 +78,7 @@
 Architecture: any
 Section: python
 XB-Python-Version: ${python3:Versions}
-Depends: libgetfem5 (= ${binary:Version}),
+Depends: libgetfem5t64 (= ${binary:Version}),
          python3,
          python3-numpy,
          python3-scipy,
@@ -88,7 +92,7 @@
  for arbitrary dimension.
  .
  This package contains the Python 3 interface to GETFEM.
- 
+
 Package: libgetfem++-dev
 Depends: libgetfem-dev, ${misc:Depends}
 Architecture: all
@@ -98,7 +102,7 @@
  This is a transitional package. It can safely be removed.
 
 Package: libgetfem5++
-Depends: libgetfem5, ${misc:Depends}
+Depends: libgetfem5t64, ${misc:Depends}
 Architecture: all
 Priority: optional
 Section: oldlibs
