=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,16 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+NO_MUMPS_ARCH_LIST = hppa powerpc
+ifneq (,$(filter $(NO_MUMPS_ARCH_LIST),$(DEB_HOST_ARCH)))
+  LINEAR_SOLVER_CONFIG = --enable-superlu --disable-mumps
+else
+  LINEAR_SOLVER_CONFIG = --disable-superlu --enable-mumps --with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"
+endif
+
 %:
-	dh $@ --with python3
+	dh $@
 
 #=====================================================================
 
@@ -14,9 +24,9 @@
 configure_flags= $(CROSS) --prefix=/usr \
 		--enable-shared --with-pic \
 		--enable-python3 --enable-metis \
-		--disable-matlab --disable-superlu \
-		--enable-mumps --disable-scilab \
-		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  
+		--disable-matlab \
+		--disable-scilab \
+		$(LINEAR_SOLVER_CONFIG)
 
 #=====================================================================
 
@@ -29,11 +39,11 @@
 
 override_dh_install:
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
-	find . -name '*.pyo' -print0 | xargs -0 rm -f
 	find . -name '*.la' -print0 | xargs -0 rm -f
 	dh_install
 	sed "s/from getfem import/from .getfem import/; s/from _getfem import/from ._getfem import/" -i debian/tmp/usr/lib/python*/*-packages/getfem/*.py
-	dh_missing --list-missing
+
+execute_after_dh_python3:
 	dh_numpy3
 
 override_dh_installchangelogs:
@@ -41,3 +51,7 @@
 
 #override_dh_auto_test:
 #	dh_auto_test || true
+
+override_dh_auto_clean:
+	rm -rf src/gmm/getfem_arch_config.h
+	dh_auto_clean
