=== debian/watch ===
Version: 5

Source: http://download-mirror.savannah.gnu.org/releases/getfem/stable/
Matching-Pattern: getfem-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +dfsg1
